Subject: bug#35457: 26.2; global-auto-revert-mode cause 100% cpu usage

From: Johannes Lundberg <[email-masked]>
Date: Mon, 29 Apr 2019 17:40:21 +0100

On 4/29/19 10:03 AM, Michael Albinus wrote:
> Eli Zaretskii <[email-masked]> writes:
>
>>> Yes, only the one line. I'll file a bug report on freebsd's bugzilla.
>> I suggest to wait for Michael Albinus to chime in, perhaps he will
>> have some insight on this.
> I've tested on a FreeBSD 10 system, with Emacs compiled according to the
> emacs-26.2 git tag. Also not reproducible.
>
> Maybe you have some global init files which make the difference? Try
>
> --8<---------------cut here---------------start------------->8---
> emacs -Q --eval "(global-auto-revert-mode 1)"
> --8<---------------cut here---------------end--------------->8---
>
> 'top' for emacs starts with 5% cpu, and decreases then.
>
> On that FreeBSD 10 system, I cannot run X applications (it is a limited
> virtual machine). So you could also try in order to have my config
>
>
> --8<---------------cut here---------------start------------->8---
> emacs -Q -nw --eval "(global-auto-revert-mode 1)"
> --8<---------------cut here---------------end--------------->8---
>
> Best regards, Michael.
Hi!

Thanks for testing. Syncing world + kernel (my world was a couple of
months older than the kernel) and/or reinstalling emacs seem to have
fixed the problem so we can close this.

/Johannes